Minova ERP Internal - Feature #2310

[Accounting] Report Detail PPN (PK & PM)
08/03/2023 02:14 PM - Kezia Pawitra Yulianti

Status: Closed Start date: 08/03/2023
Priority: High Due date: 08/09/2023
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 10.00 hours
Description

Dear Aa,

minta tolong d buatin report detail PPN ya sesuai template dalam attachment ini
Pls cek komen di tiap field nya untuk ambil dari mana query nya

Port: http://192.168.100.181:51110/
db: MinovaES_ERP_2021

Nama Menu dan Report ID nya menyusul ya,
masih d buatin dl skrg

History

#1 - 08/03/2023 02:14 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 08/03/2023 03:03 PM - Kezia Pawitra Yulianti
ReportlD: PRPTDETAILPPN
MenulD: RPTDETAILPPN

Tks

#3 - 08/04/2023 06:04 PM - shofwan shiddiq

- File clipboard-202308041803-f9sht.png added
- File clipboard-202308041804-Ifl8y.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Kezia Pawitra Yulianti

Dear Mb Yaya, Report PPN Detail Keluar dan Masuk sudah di Deploy.
Menu baru nya juga sudah di buat. Silahkan di testing.

Menu ID Baru = RPTDETAILPPNKEL
Report ID Baru = RPTDETAILPPNKEL

RDL:

- RPTDETAILPPNKel

- RPTDETAILPPNKellnduk
- RPTDETAILPPN

- RPTDETAILPPNINDUK

SP:

- RPTDETAILPPNKel

- RPTDETAILPPNKellnduk
- RPTDETAILPPN

- RPTDETAILPPNINDUK

Terima Kasih
-Shofwan
#4 - 08/07/2023 03:36 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to shofwan shiddiq

Dear Aa,

kayaknya untuk Keluaran dan Masukan nya ketuker deh.

Harusnya yg keluaran ambilnya dari doc AR dan NPWP nya milik client master data
Sedangkan yg masukan ambilnyda dari doc AP dan NPWP nya milik vendor master data

Tp kalai yg d rekap PPN malahan udah bener.
Tolong d cek Ig ya

03/15/2025

2/3



Tks

#5 - 08/08/2023 10:59 AM - shofwan shiddiq
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to Kezia Pawitra Yulianti

Dear mb Yaya, sudah di tukar ya.
Untuk vendor npwp itu ambil data nya dari mana ya mb? karena di table vendor master data nggak ada?

Terima Kasih.
-shofwan

#6 - 08/09/2023 09:20 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to shofwan shiddiq

untuk Akun PPN sudah saya buatkan gen param di tabel PCMEPGENPARAM dengan param COAPPN ya.
Jadi tolong baca dI param itu untuk akun PPN sesuai yg di daftarkan di gen param tsb

Ini berlaku untuk report detail dan report rekap juga ya

Tks

#7 - 08/09/2023 09:42 AM - Kezia Pawitra Yulianti
Dear Aa,
ada bbrp kondisi tambahan sbb ya

1. Untuk PPN Masukan atau PPN Keluaran, yg sebelumnya hanya membaca doc type AP dan AR maka tetap diperlukan untuk baca doc type GL ya
untuk keduanya karena bisa saja jurnal PPN ada di kedua doc type tsb (Keluaran ada di AR & GL dan Masukan ada di AP & GL). jd sebaiknya tetap
di baca ketiga doc type tsb

2. tapi dengan kondisi yg membedakan adalah:

untuk PPN Keluaran selain baca AR yg saat ini sudah dibuatkan, jika ada di doc type GL maka di tabel PTRFINANCEITEM di field 'SubLedgerType'
dengan kode '01' (yg ada di tabel PCMFILOSLTYPE). Untuk kemudian baca customernya yg mana ada di field 'SubLedgerID' dan untuk selanjutnya
silahkan dilanjutkan spt yg sudah di buat untuk membaca informasi customer pada Customer Master Data

untuk PPN Masukan selain baca AP yg saat ini sudah dibuatkan, jika ada di doc type GL maka di tabel PTRFINANCEITEM di field 'SubLedgerType'
dengan kode '02' (yg ada di tabel PCMFILOSLTYPE). Untuk kemudian baca vendornya yg mana ada di field 'SubLedgerID' dan untuk selanjutnya
silahkan dilanjutkan spt yg sudah di buat untuk membaca informasi vendor pada Vendor Master Data

Semoga sudah cukup jelas yaa
Tks

#8 - 08/09/2023 04:05 PM - shofwan shiddiq
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to Kezia Pawitra Yulianti

Dear mb Yaya, revisi sudah di deploy. silahkan ditesting.
Terima Kasih..

#9 - 01/03/2025 10:47 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Closed

Files

Detail PPN_rev2.xlsx 13.4 KB 08/03/2023 Kezia Pawitra Yulianti
clipboard-202308041803-f9sht.png 229 KB 08/04/2023 shofwan shiddiq
clipboard-202308041804-Ifl8y.png 238 KB 08/04/2023 shofwan shiddiq
